Subject: bug#10783: Some built-in functionslost their argument names

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Feb 2012 18:29:19 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Glenn Morris <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 12 Feb 2012 10:28:27 -0500
> 
> Just for the record: such duplicate definitions should be removed.
> E.g. the C and pc-win.el definitions should be refactored such that
> there is only one C definition (which might call an Elisp implementation
> in the MS-DOS case).

That would require extracting the common parts from the various
*select.c source files and putting them on a common file compiled into
all ports.  Not something for the current pretest, IMO.